COMMON sgcode$, atten$, sgen$, ch$, ctr$
'PRINT sgcode$, atten$, sgen$, ch$, ctr$
'SLEEP

GOTO main

title:
CLS
SCREEN 8
COLOR 14, 1

LOCATE 2, 20
PRINT "GPR  Test  Program"
LINE (150, 17)-(300, 19), , B

LOCATE 3, 2
COLOR 12
LINE (1, 165)-(638, 164), 12, B
RETURN

main:
GOSUB title
GOSUB comp
GOSUB gpr

LOCATE 5, 5
COLOR 11
PRINT "Connect with 'N' type RF leads"

GOSUB atts
GOSUB siggen
GOSUB space

noprompts:

nprog:
cho = VAL(ch$)
IF ctr$ = "1" OR cho = 1 THEN CHAIN "c:\qb\gpr4200\iplev"
  IF ctr$ = "2" THEN
    IF cho = 2 THEN CHAIN "c:\qb\gpr4200\bwlev"
    IF cho = 3 THEN CHAIN "c:\qb\gpr4200\lin"
    IF cho = 4 THEN CHAIN "c:\qb\gpr4200\att"
    IF cho = 5 THEN CHAIN "c:\qb\gpr4200\ammod"
    IF cho = 6 THEN CHAIN "c:\qb\gpr4200\fmmod1"
    IF cho = 7 THEN CHAIN "c:\qb\gpr4200\adjch"
    IF cho = 8 THEN CHAIN "c:\qb\gpr4200\image"
    IF cho = 9 THEN CHAIN "c:\qb\gpr4200\ifrej"
  END IF
PRINT "x"
END

space:
LOCATE 23, 15
COLOR 14
PRINT "Press SPACE to continue"

k = 1
k$ = "x"
DO
  IF k < 5 THEN BEEP
  k$ = INKEY$
  k = k + 1
  IF k = 1500 THEN k = 1
LOOP UNTIL k$ = " "

LOCATE 23, 15
PRINT "                                      "
RETURN


siggen:
LOCATE 15, 6
COLOR 13
PRINT "Signal Generator"

LINE (5, 158)-(200, 120), 10, B
LINE (20, 125)-(170, 130), 7, BF
CIRCLE (180, 140), 7, 7
CIRCLE (35, 140), 15, 7
RETURN

atts:
LOCATE 8, 11
COLOR 13
PRINT "Attenuators"

LINE (75, 98)-(200, 70), 10, B
LINE (120, 75)-(160, 80), 7, BF
CIRCLE (100, 90), 7, 7
CIRCLE (175, 90), 7, 7
RETURN

comp:
LINE (450, 158)-(600, 140), 10, B
LINE (450, 138)-(600, 100), 10, B
LINE (470, 130)-(570, 105), 7, BF
LOCATE 12, 60
COLOR 13
PRINT "Computer"
RETURN

gpr:
COLOR 13
LOCATE 16, 40
PRINT "GPR"

LINE (275, 158)-(400, 130), 10, B
LINE (310, 138)-(360, 148), 7, BF
CIRCLE (380, 140), 10, 7
CIRCLE (370, 150), 3, 7
CIRCLE (390, 150), 3, 7
CIRCLE (285, 135), 3, 7
CIRCLE (285, 140), 3, 7
CIRCLE (285, 145), 3, 7
CIRCLE (285, 150), 3, 7

RETURN



